package com.Dao;

import com.Dao.IDao.IChoseCourse;
import com.weiwei.ChoseCourse;
import jdbc.Test_JDBC;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class ChoseCourse1 implements IChoseCourse {
    @Override
    public void addCourse(ChoseCourse choseCourse) {//add
        String sql = "insert into chose_course values(?,?,?)";
        Test_JDBC db = new Test_JDBC();
        db.add(sql, update(choseCourse));
    }

    @Override
    public void delCourse(int id) {//delect
        String sql = "delete from chose_course where id=?";
        Test_JDBC db = new Test_JDBC();
        db.del(sql, id);
    }

//    @Override
//    public void selectCurse(int id) {
//        String sql="select from chose_course where id=?";
//        Test_JDBC db=new Test_JDBC();
//        db.select(sql,id);
//    }

    @Override
    public List<Map<String, Object>> queryByCondition(List<Object> listConditon) {//select

        String sql = "select * from chose_course where id =? and name = ?";
        return query(listConditon, sql);

    }

    public List<Map<String, Object>> query(List<Object> list, String sql) {
        List<String> condition = new ArrayList<>();
        for (int i = 0; i < list.size(); i++) {
            condition.add("%" + list.get(i) + "%");
        }
        Test_JDBC db = new Test_JDBC();
        List<Map<String, Object>> list1 = db.queryByCondition(sql, condition);
        return list1;
    }

    @Override
    public void updateCourse(ChoseCourse choseCourse) {//update
        String sql = "update chose_course set name=?,item=? where id=?";
        Test_JDBC db = new Test_JDBC();
        db.updateSql(sql, update(choseCourse));
    }

    public List<Object> update(ChoseCourse choseCourse) {
        List<Object> list1 = new ArrayList<Object>();
        list1.add(choseCourse.getName());
        list1.add(choseCourse.getItem());
        list1.add(choseCourse.getId());
        return list1;
    }

    @Override
    public List<Map<String, Object>> twoDateConnectionInfo(int id) {
        String sql = "select * from chose_course,college where chose_course.id=college.cid and chose_course.id=" + id;
        System.out.println(sql);
//        List<String> condition =new ArrayList<>();
//        for (int i=0;i<6;i++){
//            condition.add((String) listConditon.get(i));
//        }
        Test_JDBC db = new Test_JDBC();
        List<Map<String, Object>> list1 = db.twoDateSelect(sql);
        return list1;
    }
}
