package com.Dao;

import com.Dao.IDao.IUserDao;
import com.weiwei.User;
import jdbc.Test_JDBC;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class UserDao implements IUserDao {
    Test_JDBC db= new Test_JDBC();
    @Override
    public boolean loginDao(User user) {//login
        String sql="select * from login where username =? and password=?";
        List<Object> list=new ArrayList<Object>();
        list.add(user.getName());
        list.add(user.getPassword());
        return db.loginquery(sql,list);
    }

    @Override
    public List<Map<String, Object>> queryname(List<Object> listConditon) {
        String sql = "select * from login where  username like ?";
        return query(listConditon, sql);
    }

    @Override
    public boolean regist(User user) {
        String sql = "insert into login(username,password,tel,email,sex) values(?,?,?,?,?)";
        Test_JDBC db = new Test_JDBC();
        return db.add(sql, update(user));
    }

    public List<Object> update(User user) {
        List<Object> list1 = new ArrayList<Object>();
        list1.add(user.getName());
        list1.add(user.getPassword());
        list1.add(user.getTel());
        list1.add(user.getEmail());
        list1.add(user.getSex());
        return list1;
    }
    public List<Map<String, Object>> query(List<Object> list, String sql) {
        List<String> condition = new ArrayList<>();
        for (int i = 0; i < list.size(); i++) {
            condition.add("%" + list.get(i) + "%");
        }
        Test_JDBC db = new Test_JDBC();
        List<Map<String, Object>> list1 = db.queryByCondition(sql, condition);
        return list1;
    }

}
